For PHP runtime, what packages are available on servers ?

When you select Nginx as WebServeer, all these elements are installed:

  • PHP-FPM (available as a service)
  • Nginx (as a web server)
  • MySQL adapter

If Apache is installed (by default), these packages are also deployed:

  • For Debian, for a MySQL database, we'll use php5-mysql and for RHEL php-mysql
  • For Debian, for a PostgreSQL database, we'll usephp5-pgsqland for RHEL php-pgsql
  • For  Debian,  all  these  packages  will  be  deployed:
    • php5-xsl
    • php5-curl
    • php5-xmlrpc
    • php5-sqlite
    • php5-dev
    • php5-gd
    • php5-cli
    • php5-sasl
    • php5-mcrypt
    • php5-intl
    • php5-memcache
    • php-pear
    • php-xml-parser
    • php-mail-mime
    • php-db
    • php-mdb2
    • php-html-common
    • php5-mysql
  • For RHEL :
    • php[version]-xml
    • php[version]-intl
    • php[version]-common
    • php[version]-xmlrpc
    • php[version]-gd
    • php[version]-cli
    • php[version]-mcrypt
    • php[version]-pecl-apcu
    • php[version]
    • php[version]-devel
    • php[version]-opcache
    • php[version]-mbstring
    • php[version]-bcmath
    • php[version]-soap
    • php[version]-mysqlnd
  • For Ubuntu :
    • php[version]-xml
    • php[version]-intl
    • php[version]-common
    • php[version]-xmlrpc
    • php[version]-gd
    • php[version]-cli
    • php[version]-mcrypt
    • php[version]-memcached
    • php[version]-apcu
    • php[version]
    • php[version]-devel
    • php[version]-opcache
    • php[version]-mbstring
    • php[version]-bcmath
    • php[version]-soap
    • php[version]-mysqlnd
  • If the PHP version is 70 (7.0), package php70-zip is installed
  • If the PHP version is different from 71w (7.1w), package php[version]-pecl-memcache is installed
  • If the PHP version is 72 (7.2), package php72-mcrypt is installed
  • If the PHP version is 73 (7.3), packages php73-mcryptphp73-pecl-apcu et php73-pecl-memcache are installed
  • If the PHP version is 54 (5.4), packages php54-pecl-apcu et php54-opcache are installed

 

Was this article helpful?
0 out of 0 found this helpful